import connexion


def create_app():
    cnx_app = connexion.FlaskApp(
        __name__,
        specification_dir="app",
    )
    cnx_app.add_api(
        "openapi.yaml",
        strict_validation=True,
        validate_responses=True,
    )
    return cnx_app


if __name__ == "__main__":
    app = create_app()
    app.run(host="0.0.0.0", port=8000)
